*** ./configure.osr6	Thu Aug 31 05:24:52 2006
--- ./configure	Fri Nov 23 16:40:58 2007
***************
*** 5397,5403 ****
    lt_cv_deplibs_check_method=pass_all
    ;;
  
! sco3.2v5*)
    lt_cv_deplibs_check_method=pass_all
    ;;
  
--- 5397,5403 ----
    lt_cv_deplibs_check_method=pass_all
    ;;
  
! sysv5* | sco3.2v5*)
    lt_cv_deplibs_check_method=pass_all
    ;;
  
***************
*** 5405,5411 ****
    lt_cv_deplibs_check_method=pass_all
    ;;
  
! sysv4 | sysv4.2uw2* | sysv4.3* | sysv5*)
    case $host_vendor in
    motorola)
      lt_cv_deplibs_check_method='file_magic ELF [0-9][0-9]*-bit [ML]SB (shared object|dynamic lib) M[0-9][0-9]* Version [0-9]'
--- 5405,5411 ----
    lt_cv_deplibs_check_method=pass_all
    ;;
  
! sysv4 | sysv4.2uw2* | sysv4.3*)
    case $host_vendor in
    motorola)
      lt_cv_deplibs_check_method='file_magic ELF [0-9][0-9]*-bit [ML]SB (shared object|dynamic lib) M[0-9][0-9]* Version [0-9]'
***************
*** 7796,7802 ****
        fi
        ;;
  
!     solaris* | sysv5*)
        if $LD -v 2>&1 | grep 'BFD 2\.8' > /dev/null; then
  	ld_shlibs=no
  	cat <<EOF 1>&2
--- 7796,7802 ----
        fi
        ;;
  
!     solaris*)
        if $LD -v 2>&1 | grep 'BFD 2\.8' > /dev/null; then
  	ld_shlibs=no
  	cat <<EOF 1>&2
***************
*** 8458,8484 ****
        runpath_var=LD_RUN_PATH
        ;;
  
!    sysv5OpenUNIX8* | sysv5UnixWare7* |  sysv5uw[78]* | unixware7*)
        no_undefined_flag='${wl}-z ${wl}text'
        if test "$GCC" = yes; then
  	archive_cmds='$CC -shared ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
        else
  	archive_cmds='$CC -G ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
        fi
        runpath_var='LD_RUN_PATH'
        hardcode_shlibpath_var=no
!       ;;
! 
!     sysv5*)
!       no_undefined_flag=' -z text'
!       # $CC -shared without GNU ld will not create a library from C++
!       # object files and a static libstdc++, better avoid it by now
!       archive_cmds='$LD -G${allow_undefined_flag} -h $soname -o $lib $libobjs $deplibs $linker_flags'
!       archive_expsym_cmds='$echo "{ global:" > $lib.exp~cat $export_symbols | $SED -e "s/\(.*\)/\1;/" >> $lib.exp~$echo "local: *; };" >> $lib.exp~
!   		$LD -G${allow_undefined_flag} -M $lib.exp -h $soname -o $lib $libobjs $deplibs $linker_flags~$rm $lib.exp'
!       hardcode_libdir_flag_spec=
!       hardcode_shlibpath_var=no
!       runpath_var='LD_RUN_PATH'
        ;;
  
      uts4*)
--- 8458,8475 ----
        runpath_var=LD_RUN_PATH
        ;;
  
!    sysv5* | unixware7*)
        no_undefined_flag='${wl}-z ${wl}text'
        if test "$GCC" = yes; then
  	archive_cmds='$CC -shared ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
+ 	archive_expsym_cmds='$CC -shared ${wl}-Bexport:$export_symbols ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
        else
  	archive_cmds='$CC -G ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
+ 	archive_expsym_cmds='$CC -G ${wl}-Bexport:$export_symbols ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
        fi
        runpath_var='LD_RUN_PATH'
        hardcode_shlibpath_var=no
!       archive_cmds_need_lc=no
        ;;
  
      uts4*)
***************
*** 11696,11704 ****
  	;;
      esac
      ;;
!   sysv5OpenUNIX8* | sysv5UnixWare7* | sysv5uw[78]* | unixware7*)
!     archive_cmds_need_lc_CXX=no
!     ;;
    tandem*)
      case $cc_basename in
        NCC*)
--- 11687,11706 ----
  	;;
      esac
      ;;
!   sysv5* | unixware7*)
!       no_undefined_flag_CXX='${wl}-z ${wl}text'
!       if test "$GCC" = yes; then
! 	archive_cmds_CXX='$CC -shared ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
! 	archive_expsym_cmds_CXX='$CC -shared ${wl}-Bexport:$export_symbols ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
!       else
! 	archive_cmds_CXX='$CC -G ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
! 	archive_expsym_cmds_CXX='$CC -G ${wl}-Bexport:$export_symbols ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
!       fi
!       runpath_var_CXX='LD_RUN_PATH'
!       hardcode_shlibpath_var_CXX=no
!       archive_cmds_need_lc_CXX=no
!       ;;
! 
    tandem*)
      case $cc_basename in
        NCC*)
***************
*** 14881,14887 ****
        fi
        ;;
  
!     solaris* | sysv5*)
        if $LD -v 2>&1 | grep 'BFD 2\.8' > /dev/null; then
  	ld_shlibs_F77=no
  	cat <<EOF 1>&2
--- 14883,14889 ----
        fi
        ;;
  
!     solaris*)
        if $LD -v 2>&1 | grep 'BFD 2\.8' > /dev/null; then
  	ld_shlibs_F77=no
  	cat <<EOF 1>&2
***************
*** 17335,17341 ****
        fi
        ;;
  
!     solaris* | sysv5*)
        if $LD -v 2>&1 | grep 'BFD 2\.8' > /dev/null; then
  	ld_shlibs_GCJ=no
  	cat <<EOF 1>&2
--- 17337,17343 ----
        fi
        ;;
  
!     solaris*)
        if $LD -v 2>&1 | grep 'BFD 2\.8' > /dev/null; then
  	ld_shlibs_GCJ=no
  	cat <<EOF 1>&2
***************
*** 23024,23030 ****
  if test -z "`${CC-cc} -mt -c conftest.c 2>&1`"; then
    echo "$as_me:$LINENO: result: yes" >&5
  echo "${ECHO_T}yes" >&6
-   CFLAGS="$CFLAGS -mt"
  else
    echo "$as_me:$LINENO: result: no" >&5
  echo "${ECHO_T}no" >&6
--- 23026,23031 ----
***************
*** 23135,23141 ****
  if test -z "`${CC-cc} -mt -c conftest.c 2>&1`"; then
    echo "$as_me:$LINENO: result: yes" >&5
  echo "${ECHO_T}yes" >&6
-   CFLAGS="$CFLAGS -mt"
  else
    echo "$as_me:$LINENO: result: no" >&5
  echo "${ECHO_T}no" >&6
--- 23136,23141 ----
***************
*** 23242,23248 ****
  if test -z "`${CC-cc} -mt -c conftest.c 2>&1`"; then
    echo "$as_me:$LINENO: result: yes" >&5
  echo "${ECHO_T}yes" >&6
-   CFLAGS="$CFLAGS -mt"
  else
    echo "$as_me:$LINENO: result: no" >&5
  echo "${ECHO_T}no" >&6
--- 23242,23247 ----
***************
*** 23528,23539 ****
  
      ;;
  
!     sysv5Open*)
!         if test "x$THREADLIB" = "x"; then
!           LIBS="$LIBS $THREADLIB"
!         else
!           LIBS="$LIBS -Kthread"
!         fi
          ;;
  
      *)
--- 23527,23535 ----
  
      ;;
  
!     sysv5*)
!         THREADLIB=""
!         LIBS="-Kpthread $LIBS"
          ;;
  
      *)
*** ./Install-OSR6.osr6	Fri Nov 23 16:29:00 2007
--- ./Install-OSR6	Fri Nov 23 16:29:00 2007
***************
*** 0 ****
--- 1,12 ----
+ #!/bin/sh
+ 
+ MOUT=mout-install
+ D=/u/tmp/unixODBC
+ DESTDIR=$D
+ export DESTDIR
+ 
+ [ -f $MOUT ] && mv $MOUT $MOUT-prev
+ [ -d $D ] && rm -rf $D
+ mkdir -p $D
+ make install DESTDIR=$D 2>&1 | tee $MOUT
+ 
